classification
Title: Suggest PyCharm Community as an editor for Unix platforms
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.7, Python 3.6, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: John Hagen, Ketan Bhatt, Mariatta, anish.shah, berker.peksag, docs@python, ezio.melotti, georg.brandl, gvanrossum, orsenthil, python-dev, terry.reedy
Priority: normal Keywords: easy, patch

Created on 2016-01-18 21:48 by John Hagen, last changed 2017-01-25 09:49 by orsenthil. This issue is now closed.

Files
File name Uploaded Description Edit
docupdate.patch Mariatta, 2016-09-16 04:14 review
docupdate2.patch Mariatta, 2016-09-17 03:04 review
docupdate3.patch Mariatta, 2016-09-17 15:00 review
docupdate4.patch Mariatta, 2016-09-17 15:03 review
issue26149.patch Mariatta, 2016-10-04 05:47 review
Messages (19)
msg258551 - (view) Author: John Hagen (John Hagen) * Date: 2016-01-18 21:48
The Python documentation recommends editors that can be used on Unix:
https://docs.python.org/3.5/using/unix.html#editors

If the intent is to advertise very excellent IDEs (as Geany and Komodo Edit are listed), I suggest that PyCharm Community Edition (https://www.jetbrains.com/pycharm/download/) be added to the list.

It is free, has a very powerful static analyzer, comes with PEP8 checking installed by default, supports type hinting, ... (https://www.jetbrains.com/pycharm/features/)
msg258554 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-01-18 22:13
Thanks for the report. It would be better to refer to https://wiki.python.org/moin/PythonEditors and https://wiki.python.org/moin/IntegratedDevelopmentEnvironments instead of maintaining duplicate and outdated lists.
msg258849 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2016-01-23 00:12
Berker, I agree with you.  The doc section is woefully incomplete and unix-specific.  It probably dates back to when Python only ran on unix.
msg258854 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2016-01-23 08:17
> The doc section is woefully incomplete and unix-specific.

That might be because the doc section is called "Using Python on Unix platforms".
msg258855 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2016-01-23 08:27
The two links for VIM and Emacs are useful for Unix developers that happen to use these editors, but I agree that we should link to the wiki instead of having other links to specific editors.
If we want to recommend a few specific ones, we could list their names so that people can find them in the wiki.
msg266532 - (view) Author: Ketan Bhatt (Ketan Bhatt) Date: 2016-05-28 05:12
I would want to work on this, for 2 days. 
This is going to be my first contribution to python, please bear with me if i make some silly mistake.

Looking forward to your support. Thank you
msg276673 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-09-16 04:14
Mention Pycharm community edition, and provide link to the wiki
msg276734 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-09-16 18:47
Hm, maybe the list should just removed and only the link to the wiki preserved? Agreed that the list here feels outdated. And updating it is always going to be a political game (e.g. why isn't Wing IDE listed?)
msg276765 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-09-17 03:04
Thanks for the feedback :)
As suggested, I removed all other IDEs and just link to the wiki.
msg276766 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-09-17 03:07
Hmm.. not sure if I did this correctly. I uploaded another patch file, is this right? Or, how can I edit my original patch?
Thanks.
msg276768 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2016-09-17 03:15
You did the right thing. Check out the "review" link.
msg276783 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-09-17 11:24
Thanks for the patch. I left some comment on Rietveld: http://bugs.python.org/review/26149/#ps18589
msg276798 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-09-17 15:00
Thanks for the feedback, Berker :)
I added some introductory statements, and added link to https://wiki.python.org/moin/IntegratedDevelopmentEnvironments

I'll be open to other suggestions as well

Thanks.
msg276799 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-09-17 15:03
Forgot to change the title to Editors and IDEs.
Updated now.

Thanks.
msg278007 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-10-04 03:48
ping :)
msg278009 - (view) Author: Mariatta (Mariatta) * (Python committer) Date: 2016-10-04 05:47
Thanks for the feedback, Berker.
I updated the patch as suggested.
msg286234 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-01-25 09:46
New changeset b43e270648a3 by Senthil Kumaran in branch '2.7':
issue26149 - Point to Wiki for Editors and Python IDEs on Unix.
https://hg.python.org/cpython/rev/b43e270648a3
msg286235 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2017-01-25 09:48
New changeset 25fc68e22eee by Senthil Kumaran in branch '3.6':
issue26149 - Point to Wiki for Editors and Python IDEs on Unix.
https://hg.python.org/cpython/rev/25fc68e22eee

New changeset 0fd4a3d8e32a by Senthil Kumaran in branch 'default':
[merge 3.6] - issue26149 - Point to Wiki for Editors and Python IDEs on Unix.
https://hg.python.org/cpython/rev/0fd4a3d8e32a
msg286236 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2017-01-25 09:49
Thank you, Mariatta.
History
Date User Action Args
2017-01-25 09:49:26orsenthilsetstatus: open -> closed

nosy: + orsenthil
messages: + msg286236

resolution: fixed
stage: patch review -> resolved
2017-01-25 09:48:53python-devsetmessages: + msg286235
2017-01-25 09:46:51python-devsetnosy: + python-dev
messages: + msg286234
2016-10-04 05:47:42Mariattasetfiles: + issue26149.patch

messages: + msg278009
2016-10-04 03:48:25Mariattasetmessages: + msg278007
2016-09-17 15:03:53Mariattasetfiles: + docupdate4.patch

messages: + msg276799
2016-09-17 15:00:49Mariattasetfiles: + docupdate3.patch

messages: + msg276798
2016-09-17 11:24:10berker.peksagsetstage: needs patch -> patch review
messages: + msg276783
versions: + Python 3.7
2016-09-17 03:15:17gvanrossumsetmessages: + msg276768
2016-09-17 03:07:45Mariattasetmessages: + msg276766
2016-09-17 03:04:39Mariattasetfiles: + docupdate2.patch

messages: + msg276765
2016-09-16 18:47:38gvanrossumsetnosy: + gvanrossum
messages: + msg276734
2016-09-16 04:14:36Mariattasetfiles: + docupdate.patch

nosy: + Mariatta
messages: + msg276673

keywords: + patch
2016-05-28 05:12:17Ketan Bhattsetnosy: + Ketan Bhatt
messages: + msg266532
2016-02-18 18:43:06anish.shahsetnosy: + anish.shah
2016-01-23 08:27:34ezio.melottisetnosy: + ezio.melotti
messages: + msg258855
2016-01-23 08:17:36georg.brandlsetnosy: + georg.brandl
messages: + msg258854
2016-01-23 00:12:31terry.reedysetnosy: + terry.reedy
messages: + msg258849
2016-01-18 22:13:13berker.peksagsetversions: - Python 3.4
nosy: + berker.peksag

messages: + msg258554

keywords: + easy
stage: needs patch
2016-01-18 21:48:48John Hagencreate